<?php

defined('C5_EXECUTE') or die(_("Access Denied."));

class Concrete5TemplatesPackPackage extends Package {

	protected $pkgHandle = 'concrete5_templates_pack';
	protected $appVersionRequired = '5.3.0';
	protected $pkgVersion = '1.0';

	public function getPackageDescription() {
		return t("Installs 5 concrete5 themes.");
	}

	public function getPackageName() {
		return t("5 concrete5 templates in 1 pack");
	}

	public function install() {
		$pkg = parent::install();

		// install themes
		PageTheme::add('eos', $pkg);
		PageTheme::add('illustrative', $pkg);
		PageTheme::add('primepress', $pkg);
		PageTheme::add('simplex', $pkg);
		PageTheme::add('tranquility', $pkg);
	}

}