<?php
/*******************************************************************************
    The theme has been originally developed for wordpress
    by Ravi Varma [ http://www.techtrot.com/ ]
    and then converted for concrete5 cms
    by www.smartwebprojects.net
    Copyright (C) 2009 Ravi Varma, Smart Web Projects

    This theme is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*******************************************************************************/
defined('C5_EXECUTE') or die(_("Access Denied."));
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head profile="http://gmpg.org/xfn/11">
<?php Loader::element('header_required'); ?>
	<link rel="stylesheet" href="<?php echo $this->getStyleSheet('style.css'); ?>" type="text/css" media="screen" />
	<!--[if lte IE 6]>	<link rel="stylesheet" type="text/css" href="<?php echo $this->getThemePath(); ?>/library/ie6.css" /><![endif]-->
</head>
<body class="custom">
<div id="page" class="hfeed content-540px">

	<div id="header">
		<div id="branding">
						<div class="homelink"><a href="<?php echo DIR_REL?>/" title="Theme Preview"><?php echo SITE?></a></div>
						</div>

		<div id="skip"><a title="Skip to content" href="#primary" accesskey="S">Skip to Content &darr;</a></div>

		<ul class="menu">
 <?php
$ah = new Area('Header Nav');
ob_start();
$ah->display($c);
$printed = ob_get_contents();
ob_end_clean();
function xcallback($matches) {
if (!empty($matches[1]))
$current_item = true;
else
$current_item = false;
    return '<li class="page_item'. ($current_item ? ' current_page_item' : '') .'"><a href="'.$matches[2].'" title="'.
$matches[3].'">'.$matches[3].'</a></li>';
}
$printed = str_replace('<ul class="nav-header">', '', $printed);
$printed = str_replace('<div class="ccm-spacer">&nbsp;</div>', '', $printed);
$printed = str_replace('<li class="nav-selected first">','<li>', $printed);
$printed = str_replace('<a class="nav-selected"','<a class="s"', $printed);
$printed = str_replace('</ul>', '', $printed);
$printed = preg_replace_callback('/\<li\s?[^\>]*\>\<a( class\=\"s\")? href\=\"([^\"]+)\"\>([^\<\>]+)\<\/a\>\<\/li\>/', "xcallback", $printed);
print $printed;
?>
		</ul>
	</div><!--#header-->
<div id="container">
	<div id="rotating">
	<?php
$as = new Area('Header');
$as->display($c);
?>
	</div>
	<div id="primary" class="looped">

      <div class="entry-content">

 		<div id="post-1" class="post-1 post hentry category-uncategorized entry">

   <?php
	$as = new Area('Main');
	ob_start();
	$as->display($c);
	$main_content = ob_get_contents();
	ob_end_clean();

    if (preg_match('/\<h1\>([^\<]+)\<\/h1\>/i', $main_content, $m)) {
		$to_replace = $m[0];
		$h1 = $m[1];
		$main_content = str_replace($to_replace, "" , $main_content);
	} else {
    	$h1 = "";
    }

    print "<h1>".$h1."</h1>";


?>

<?php

	print $main_content;
	unset($main_content);
          ?>


</div><!-- entry content -->


		</div><!--.entry-->



	<div class="navigation">
		<div class="navleft"></div>
		<div class="navright"></div>
		<div class="clear"></div>
	</div>




	</div><!--#primary-->

<div id="secondary" >


<div id="pp-sidebars" class="clearfix" >

<div id="sidebar-wide" class="sidebar">

	<ul class="xoxo sidebar-items">
	<!--#sidebar-wide widgets start-->

		<li id="pp-recent-posts" class="widget">

			         <?php
$as = new Area('Sidebar');
$as->display($c);
?>

		</li>

	<!--#sidebar-wide widgets end-->
	</ul>

</div><!--#sidebar-wide-->

</div><!--#pp-sidebars-->

</div><!--#secondary-->
	<div id="footer">
		<p class="left">&#169; <?php print date("Y"); ?> <a href="<?php echo DIR_REL?>/" title="Theme Preview"><strong><?php echo SITE?></strong></a> | Theme by <strong><a href="http://www.techtrot.com/">Ravi Varma</a></strong></p>
		<p class="right"><a href="http://www.smartwebprojects.net/concrete5-themes/primepress/">concrete5 theme</a> by <a href="http://www.smartwebprojects.net/">Smart Web Projects</a>.</p>
	</div><!--#footer-->

</div><!--#container-->

<div class="clear"></div>
</div><!--#page-->
<?php Loader::element('footer_required'); ?>
</body>
</html>